## org.eclipse.datatools.modelbase.dbdefinition.impl
Class ColumnDefinitionImpl

    java.lang.Object
      EObjectImpl
          org.eclipse.datatools.modelbase.dbdefinition.impl.ColumnDefinitionImpl

All Implemented Interfaces:
  ColumnDefinition

public class ColumnDefinitionImpl
extends EObjectImpl
implements ColumnDefinition

An implementation of the model object 'Column Definition'.

The following features are implemented:

- `Identity Column Data Type Definitions`
- `Identity Supported`
- `Computed Supported`
- `Identity Start Value Supported`
- `Identity Increment Supported`
- `Identity Minimum Supported`
- `Identity Maximum Supported`
- `Identity Cycle Supported`
- `Maximum Identifier Length`

See Also:
  Serialized Form

Method Summary
`java.lang.Object` `eGet(EStructuralFeature eFeature, boolean resolve)`
`boolean` `eIsSet(EStructuralFeature eFeature)`
`void` `eSet(EStructuralFeature eFeature, java.lang.Object newValue)`
`void` `eUnset(EStructuralFeature eFeature)`
`EList` `getIdentityColumnDataTypeDefinitions()`
`int` `getMaximumIdentifierLength()`
`boolean` `isComputedSupported()`
`boolean` `isIdentityCycleSupported()`
`boolean` `isIdentityIncrementSupported()`
`boolean` `isIdentityMaximumSupported()`
`boolean` `isIdentityMinimumSupported()`
`boolean` `isIdentityStartValueSupported()`
`boolean` `isIdentitySupported()`
`void` `setComputedSupported(boolean newComputedSupported)`
`void` `setIdentityCycleSupported(boolean newIdentityCycleSupported)`
`void` `setIdentityIncrementSupported(boolean newIdentityIncrementSupported)`
`void` `setIdentityMaximumSupported(boolean newIdentityMaximumSupported)`
`void` `setIdentityMinimumSupported(boolean newIdentityMinimumSupported)`
`void` `setIdentityStartValueSupported(boolean newIdentityStartValueSupported)`
`void` `setIdentitySupported(boolean newIdentitySupported)`
`void` `setMaximumIdentifierLength(int newMaximumIdentifierLength)`
`java.lang.String` `toString()`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Method Detail

### getIdentityColumnDataTypeDefinitions

    public EList getIdentityColumnDataTypeDefinitions()

  Specified by:
    `getIdentityColumnDataTypeDefinitions` in interface `ColumnDefinition`
  Returns:
    the value of the 'Identity Column Data Type Definitions' reference list.
  See Also:
    `DatabaseDefinitionPackage.getColumnDefinition_IdentityColumnDataTypeDefinitions()`

### isIdentitySupported

    public boolean isIdentitySupported()

  Specified by:
    `isIdentitySupported` in interface `ColumnDefinition`
  Returns:
    the value of the 'Identity Supported' attribute.
  See Also:
    `ColumnDefinition.setIdentitySupported(boolean)`, `DatabaseDefinitionPackage.getColumnDefinition_IdentitySupported()`

### setIdentitySupported

    public void setIdentitySupported(boolean newIdentitySupported)

  Specified by:
    `setIdentitySupported` in interface `ColumnDefinition`
  Parameters:
    `newIdentitySupported` - the new value of the 'Identity Supported' attribute.
  See Also:
    `ColumnDefinition.isIdentitySupported()`

### isComputedSupported

    public boolean isComputedSupported()

  Specified by:
    `isComputedSupported` in interface `ColumnDefinition`
  Returns:
    the value of the 'Computed Supported' attribute.
  See Also:
    `ColumnDefinition.setComputedSupported(boolean)`, `DatabaseDefinitionPackage.getColumnDefinition_ComputedSupported()`

### setComputedSupported

    public void setComputedSupported(boolean newComputedSupported)

  Specified by:
    `setComputedSupported` in interface `ColumnDefinition`
  Parameters:
    `newComputedSupported` - the new value of the 'Computed Supported' attribute.
  See Also:
    `ColumnDefinition.isComputedSupported()`

### isIdentityStartValueSupported

    public boolean isIdentityStartValueSupported()

  Specified by:
    `isIdentityStartValueSupported` in interface `ColumnDefinition`
  Returns:
    the value of the 'Identity Start Value Supported' attribute.
  See Also:
    `ColumnDefinition.setIdentityStartValueSupported(boolean)`, `DatabaseDefinitionPackage.getColumnDefinition_IdentityStartValueSupported()`

### setIdentityStartValueSupported

    public void setIdentityStartValueSupported(boolean newIdentityStartValueSupported)

  Specified by:
    `setIdentityStartValueSupported` in interface `ColumnDefinition`
  Parameters:
    `newIdentityStartValueSupported` - the new value of the 'Identity Start Value Supported' attribute.
  See Also:
    `ColumnDefinition.isIdentityStartValueSupported()`

### isIdentityIncrementSupported

    public boolean isIdentityIncrementSupported()

  Specified by:
    `isIdentityIncrementSupported` in interface `ColumnDefinition`
  Returns:
    the value of the 'Identity Increment Supported' attribute.
  See Also:
    `ColumnDefinition.setIdentityIncrementSupported(boolean)`, `DatabaseDefinitionPackage.getColumnDefinition_IdentityIncrementSupported()`

### setIdentityIncrementSupported

    public void setIdentityIncrementSupported(boolean newIdentityIncrementSupported)

  Specified by:
    `setIdentityIncrementSupported` in interface `ColumnDefinition`
  Parameters:
    `newIdentityIncrementSupported` - the new value of the 'Identity Increment Supported' attribute.
  See Also:
    `ColumnDefinition.isIdentityIncrementSupported()`

### isIdentityMinimumSupported

    public boolean isIdentityMinimumSupported()

  Specified by:
    `isIdentityMinimumSupported` in interface `ColumnDefinition`
  Returns:
    the value of the 'Identity Minimum Supported' attribute.
  See Also:
    `ColumnDefinition.setIdentityMinimumSupported(boolean)`, `DatabaseDefinitionPackage.getColumnDefinition_IdentityMinimumSupported()`

### setIdentityMinimumSupported

    public void setIdentityMinimumSupported(boolean newIdentityMinimumSupported)

  Specified by:
    `setIdentityMinimumSupported` in interface `ColumnDefinition`
  Parameters:
    `newIdentityMinimumSupported` - the new value of the 'Identity Minimum Supported' attribute.
  See Also:
    `ColumnDefinition.isIdentityMinimumSupported()`

### isIdentityMaximumSupported

    public boolean isIdentityMaximumSupported()

  Specified by:
    `isIdentityMaximumSupported` in interface `ColumnDefinition`
  Returns:
    the value of the 'Identity Maximum Supported' attribute.
  See Also:
    `ColumnDefinition.setIdentityMaximumSupported(boolean)`, `DatabaseDefinitionPackage.getColumnDefinition_IdentityMaximumSupported()`

### setIdentityMaximumSupported

    public void setIdentityMaximumSupported(boolean newIdentityMaximumSupported)

  Specified by:
    `setIdentityMaximumSupported` in interface `ColumnDefinition`
  Parameters:
    `newIdentityMaximumSupported` - the new value of the 'Identity Maximum Supported' attribute.
  See Also:
    `ColumnDefinition.isIdentityMaximumSupported()`

### isIdentityCycleSupported

    public boolean isIdentityCycleSupported()

  Specified by:
    `isIdentityCycleSupported` in interface `ColumnDefinition`
  Returns:
    the value of the 'Identity Cycle Supported' attribute.
  See Also:
    `ColumnDefinition.setIdentityCycleSupported(boolean)`, `DatabaseDefinitionPackage.getColumnDefinition_IdentityCycleSupported()`

### setIdentityCycleSupported

    public void setIdentityCycleSupported(boolean newIdentityCycleSupported)

  Specified by:
    `setIdentityCycleSupported` in interface `ColumnDefinition`
  Parameters:
    `newIdentityCycleSupported` - the new value of the 'Identity Cycle Supported' attribute.
  See Also:
    `ColumnDefinition.isIdentityCycleSupported()`

### getMaximumIdentifierLength

    public int getMaximumIdentifierLength()

  Specified by:
    `getMaximumIdentifierLength` in interface `ColumnDefinition`
  Returns:
    the value of the 'Maximum Identifier Length' attribute.
  See Also:
    `ColumnDefinition.setMaximumIdentifierLength(int)`, `DatabaseDefinitionPackage.getColumnDefinition_MaximumIdentifierLength()`

### setMaximumIdentifierLength

    public void setMaximumIdentifierLength(int newMaximumIdentifierLength)

  Specified by:
    `setMaximumIdentifierLength` in interface `ColumnDefinition`
  Parameters:
    `newMaximumIdentifierLength` - the new value of the 'Maximum Identifier Length' attribute.
  See Also:
    `ColumnDefinition.getMaximumIdentifierLength()`

### eGet

    public java.lang.Object eGet(EStructuralFeature eFeature,
                                 boolean resolve)

### eSet

    public void eSet(EStructuralFeature eFeature,
                     java.lang.Object newValue)

### eUnset

    public void eUnset(EStructuralFeature eFeature)

### eIsSet

    public boolean eIsSet(EStructuralFeature eFeature)

### toString

    public java.lang.String toString()

Copyright © 2006 Actuate, IBM Corporation, Sybase, Inc. and others. All rights reserved.